import { SerializedRenderResult } from "./Source";
export declare function usage(): void;
export declare type RendererOptions = {
    [name: string]: string;
};
export interface Options {
    lang?: string;
    src?: string[];
    topLevel?: string;
    srcLang?: string;
    srcUrls?: string;
    out?: string;
    noMaps?: boolean;
    noEnums?: boolean;
    noCombineClasses?: boolean;
    noRender?: boolean;
    help?: boolean;
    quiet?: boolean;
    rendererOptions: RendererOptions;
}
export declare class Run {
    private readonly _doCache;
    private _options;
    private _compressedJSON;
    private _allSamples;
    constructor(argv: string[] | Options, _doCache: boolean);
    private getOptionDefinitions;
    private readonly isInputJSONSchema;
    private makeGraph;
    private renderSamplesOrSchemas;
    private splitAndWriteJava;
    private readSampleFromStream;
    private readSampleFromFileOrUrl;
    private readSampleFromFileOrUrlArray;
    private readNamedSamplesFromDirectory;
    runWeb: (sources: {
        name: string;
        samples: string[];
    }[]) => Promise<SerializedRenderResult>;
    run: () => Promise<SerializedRenderResult>;
    runAndPrint: () => Promise<void>;
    private parseOptions;
    private inferOptions;
    private inferLang;
    private inferTopLevel;
}
